> For the complete documentation index, see [llms.txt](https://developer.raindrop.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.raindrop.io/v1/collections.md).

# Collections

### Fields

| Field            | Type            | Description                                                                                                                                                                                                     |
| ---------------- | --------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| \_id             | `Integer`       | The id of the collection.                                                                                                                                                                                       |
| access           | `Object`        |                                                                                                                                                                                                                 |
| access.level     | `Integer`       | <p></p><ol><li>read only access (equal to <code>public=true</code>)</li><li>collaborator with read only access</li><li>collaborator with write only access</li><li>owner</li></ol>                              |
| access.draggable | `Boolean`       | Does it possible to change parent of this collection?                                                                                                                                                           |
| collaborators    | `Object`        | <p>When this object is present, means that collections is shared. Content of this object is private and not very useful.<br>All sharing API methods <a href="/v1/collections/sharing.md">described here</a></p> |
| color            | `String`        | Primary color of collection cover as `HEX`                                                                                                                                                                      |
| count            | `Integer`       | Count of raindrops in collection                                                                                                                                                                                |
| cover            | `Array<String>` | <p>Collection cover URL.<br>This array always have one item due to legacy reasons</p>                                                                                                                           |
| created          | `String`        | When collection is created                                                                                                                                                                                      |
| expanded         | `Boolean`       | Whether the collection’s sub-collections are expanded                                                                                                                                                           |
| lastUpdate       | `String`        | When collection is updated                                                                                                                                                                                      |
| parent           | `Object`        |                                                                                                                                                                                                                 |
| parent.$id       | `Integer`       | The id of the parent collection. Not specified for root collections                                                                                                                                             |
| public           | `Boolean`       | Collection and raindrops that it contains will be accessible without authentication by public link                                                                                                              |
| sort             | `Integer`       | The order of collection (descending). Defines the position of the collection among all the collections with the same `parent.$id`                                                                               |
| title            | `String`        | Name of the collection                                                                                                                                                                                          |
| user             | `Object`        |                                                                                                                                                                                                                 |
| user.$id         | `Integer`       | Owner ID                                                                                                                                                                                                        |
| view             | `String`        | <p>View style of collection, can be:</p><ul><li><code>list</code> (default)</li><li><code>simple</code></li><li><code>grid</code></li><li><code>masonry</code> Pinterest like grid</li></ul>                    |

{% hint style="warning" %}
Our API response could contain **other fields**, not described above. It's **unsafe to use** them in your integration! They could be removed or renamed at any time.
{% endhint %}

### System collections

Every user have several system non-removable collections. They are not contained in any API responses.

| \_id    | Description               |
| ------- | ------------------------- |
| **-1**  | "**Unsorted**" collection |
| **-99** | "**Trash**" collection    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.raindrop.io/v1/collections.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
